package com.eco.plugin.xx.zjgintegrate.sso.pc.logout;

import com.eco.plugin.xx.zjgintegrate.config.PCSSSOConfig;
import com.fr.decision.fun.impl.AbstractLogInOutEventProvider;
import com.fr.decision.webservice.login.LogInOutResultInfo;
import com.fr.decision.webservice.v10.login.LoginService;

import javax.servlet.http.HttpSession;

public class Logout extends AbstractLogInOutEventProvider {

    @Override
    public String logoutAction(LogInOutResultInfo result) {
        HttpSession session = result.getRequest().getSession(true);
        LoginService.getInstance().crossDomainLogout(result.getRequest(),result.getResponse(),"");
        session.invalidate();
        return PCSSSOConfig.getInstance().getLogouturl();
    }
}

